﻿using System;
using System.Collections.ObjectModel;

namespace TestProject
{
    /// <summary>
    /// 주문 컬렉션
    /// </summary>
    public class OrderCollection : ObservableCollection<Order>
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 주문 1
        /// </summary>
        public Order order1 = new Order
        (
            1001,
            5682,
            "Blue Sweater",
            44,
            "Yes",
            new DateTime(2003, 1, 23),
            new DateTime(2003, 2, 4)
        );

        /// <summary>
        /// 주문 2
        /// </summary>
        public Order order2 = new Order
        (
            1002,
            2211,
            "Gray Jacket Long",
            181,
            "No",
            new DateTime(2003, 2, 14)
        );

        /// <summary>
        /// 주문 3
        /// </summary>
        public Order order3 = new Order
        (
            1003,
            5682,
            "Brown Pant W",
            2,
            "Yes",
            new DateTime(2002, 12, 20),
            new DateTime(2003, 1, 13)
        );

        /// <summary>
        /// 주문 4
        /// </summary>
        public Order order4 = new Order
        (
            1004,
            3143,
            "Orange T-shirt",
            205,
            "No",
            new DateTime(2003, 1, 28)
        );

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - OrderCollection()

        /// <summary>
        /// 생성자
        /// </summary>
        public OrderCollection()
        {
            Add(order1);
            Add(order2);
            Add(order3);
            Add(order4);
        }

        #endregion
    }
}